commit 0bb018d07fbc6717cc6d8333698d8aa4390ef823
Author: Tamar Christina <tamar.christina@arm.com>
Date:   Fri Jul 17 13:12:23 2020 +0100

    Testsuite: Make it easier to debug environment setting functions
    
    This adds verbose output to dg-set-compiler-env-var and dg-set-target-env-var
    so you can actually see what they're setting when you add -v -v.
    
    gcc/testsuite/ChangeLog:
    
            * lib/gcc-dg.exp (dg-set-compiler-env-var, dg-set-target-env-var): Add
            verbose output.
    
    (cherry picked from commit e410cbff5d5a408b7c64a0c426951afc2a24df93)

diff --git a/gcc/testsuite/lib/gcc-dg.exp b/gcc/testsuite/lib/gcc-dg.exp
index 27cc7c19625..45d97024883 100644
--- a/gcc/testsuite/lib/gcc-dg.exp
+++ b/gcc/testsuite/lib/gcc-dg.exp
@@ -477,7 +477,10 @@ proc dg-set-target-env-var { args } {
 	error "dg-set-target-env-var: need two arguments"
 	return
     }
-    lappend set_target_env_var [list [lindex $args 1] [lindex $args 2]]
+    set var [lindex $args 1]
+    set value [lindex $args 2]
+    verbose "dg-set-target-env-var $var $value" 2
+    lappend set_target_env_var [list $var $value]
 }
 
 proc set-target-env-var { } {
@@ -518,6 +521,7 @@ proc dg-set-compiler-env-var { args } {
     }
     set var [lindex $args 1]
     set value [lindex $args 2]
+    verbose "dg-set-compiler-env-var $var $value" 2
     if [info exists ::env($var)] {
       lappend saved_compiler_env_var [list $var 1 $::env($var)]
     } else {

